ranges::views::chunk_by_fn Struct Reference
Inheritance diagram for ranges::views::chunk_by_fn:

## Public Member Functions

template<typename Fun >
constexpr auto | operator() (Fun fun) const
Public Member Functions inherited from ranges::views::chunk_by_base_fn
template<typename Rng , typename Fun >
| CPP_TEMPLATE_AUX_0 (requires viewable_range< Rng > &&forward_range< Rng > &&indirect_relation< Fun, iterator_t< Rng >>) const expr chunk_by_view< all_t< Rng >
Fun | operator() (Rng &&rng, Fun fun) const

## Related Functions

(Note that these are not member functions.)
constexpr chunk_by_fn | chunk_by {}